User Information
curl --request GET \
--url https://app-api.spikeapi.com/v3/userinfo \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.spikeapi.com/v3/userinfo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.spikeapi.com/v3/userinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application_id": 123,
"application_user_id": "<string>",
"compat_application_client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compat_application_client_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"integrated_providers": [
{
"created_at": "2023-11-07T05:31:56Z",
"is_integration_broken": true,
"provider_integration_id": 123,
"provider_slug": "<string>"
}
],
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}User Information
Get information about the current user.
User Information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
Application ID
Application user ID
Compat application client ID
Compat application client token
Created at
List of integrated providers
Show child attributes
Show child attributes
Spike Internal User ID
Example:
"a12b34cd-a1b2-c3d4-e5f6-abcdef123456"
⌘I
